<?php
session_start();
include "verifica.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";


$medpag = new Mediospago;

switch($xaccion){
	
	case "adicionar": 
		if($medpag->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Medio de pago creada satisfactoriamente.")
			parent.location.href="../mediospago.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($medpag->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Medio de pago modificado satisfactoriamente.")
			parent.location.href="../mediospago.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($medpag->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Medio de pago eliminado satisfactoriamente.")
			parent.location.href="../mediospago.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($medpag->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Mediospago{

	//Adiciona nuevo
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;

		$r = mysqli_query($conexion,"insert into medios_pago (medpag_nombre, 
												  medpag_abreviatura,
												  medpag_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update medios_pago set medpag_nombre = '$xnombres', 
												  medpag_abreviatura = '$xabreviatura',
												  medpag_usu_modifica = '$xusuario_sesion'
										where medpag_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from medios_pago where medpag_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update medios_pago set medpag_estado = '$xestado',
												  			medpag_usu_activa = '$xusuario_sesion'		 
															where medpag_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
